from __future__ import annotations

from dataclasses import KW_ONLY, field
from typing import *  # type: ignore

import rio
import datetime


from .. import components as comps

class LoginPage(rio.Component):
    name: str = ""

    def build(self) -> rio.Component:
        return rio.Column(
            rio.Popup(
                anchor=rio.Text(
                    text="Login",
                    style='heading1',
                    align_x = 0.5
                ),
                color=self.bind().popup_color,
                is_open=self.bind().popup_show,
                content=rio.Text(
                    text=self.bind().popup_message,
                ),
                
            ),
            rio.TextInput(
                label="User",
                text=self.bind().code
            ),
            rio.TextInput(
                label="Password",
                text=self.bind().partnum
            ),
            rio.Button(
                content="Login",
                on_press=self._add_part_button
            ),
            
            spacing=2, 
            width=60,
            margin_bottom=4,
            align_x=0.5,
            align_y=0,
        )

